Bug 137469 - [EME][Mac] Update CDMSessionMediaSourceAVFObjC to match new API provided by AVStreamSession
Summary: [EME][Mac] Update CDMSessionMediaSourceAVFObjC to match new API provided by A...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-10-06 16:09 PDT by Jer Noble
Modified: 2014-12-16 13:28 PST (History)
8 users (show)

See Also:


Attachments
Patch (8.25 KB, patch)
2014-10-06 16:13 PDT, Jer Noble
bfulgham: review+
Details | Formatted Diff | Diff
Patch for landing (13.36 KB, patch)
2014-10-07 23:14 PDT, Jer Noble
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2014-10-06 16:09:14 PDT
[EME][Mac] Update CDMSessionMediaSourceAVFObjC to match new API provided by AVStreamSession
Comment 1 Jer Noble 2014-10-06 16:13:52 PDT
Created attachment 239365 [details]
Patch
Comment 2 Brent Fulgham 2014-10-07 12:23:06 PDT
Comment on attachment 239365 [details]
Patch

r=me. This shouldn't have any Windows repercussions.
Comment 3 Jer Noble 2014-10-07 23:14:44 PDT
Created attachment 239459 [details]
Patch for landing
Comment 4 Jer Noble 2014-10-08 10:32:43 PDT
Committed r174460: <http://trac.webkit.org/changeset/174460>
Comment 5 Jer Noble 2014-12-16 13:28:03 PST
<rdar://problem/19269048>